aboutsummaryrefslogtreecommitdiff
path: root/system_install
diff options
context:
space:
mode:
authorKarel Kočí <cynerd@email.cz>2017-04-03 20:42:16 +0200
committerKarel Kočí <cynerd@email.cz>2017-04-03 20:42:16 +0200
commit81836945a63f726033fb6550755e2c9dbf1a1f83 (patch)
tree4202b3b9fdfaf7013660302750b461c3570e2e81 /system_install
parent151158101618f9392af1e65c4012c90dda3b437f (diff)
downloadmyconfigs-81836945a63f726033fb6550755e2c9dbf1a1f83.tar.gz
myconfigs-81836945a63f726033fb6550755e2c9dbf1a1f83.tar.bz2
myconfigs-81836945a63f726033fb6550755e2c9dbf1a1f83.zip
Add system_install
Diffstat (limited to 'system_install')
-rwxr-xr-xsystem_install37
1 files changed, 37 insertions, 0 deletions
diff --git a/system_install b/system_install
new file mode 100755
index 0000000..1caf757
--- /dev/null
+++ b/system_install
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+if [ "$UID" -ne 0 ]; then
+ echo "Please run this as root!" >&2
+ exit 6
+fi
+
+cd `dirname $0`
+
+git submodule update --init || (echo "Submodule update failed!"; exit 5)
+
+# Source inst and diff function
+. ./utils/inst
+
+#################################################################################
+
+if [ -e /etc/arch-release ]; then
+ . ./utils/arch
+ read -p "Check Archlinux packages? (Y/n) "
+ if [[ $REPLY =~ ^[Yy]?$ ]]; then
+ archlinux_inst
+ fi
+fi
+
+read -p "Laptop ACPI and pm? (Y/n) "
+if [[ $REPLY =~ ^[Yy]?$ ]]; then
+ inst system/etc/acpi/handler.sh /etc/acpi/handler.sh
+ inst system/etc/pm/sleep.d/10lock /etc/pm/sleep.d/10lock
+fi
+
+read -p "Wpa supplicant? (Y/n) "
+if [[ $REPLY =~ ^[Yy]?$ ]]; then
+ # TODO
+fi
+
+# As final step just ensure that correct user is owning system files
+chown -R $(stat -c "%U:%G" "$0") system